Bug 48721 - [update orphan ports] : archivers/makeself
Summary: [update orphan ports] : archivers/makeself
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-26 23:00 UTC by Clement Laforet
Modified: 2003-05-13 04:52 UTC (History)
1 user (show)

See Also:


Attachments
makeself.diff (1.42 KB, patch)
2003-02-26 23:00 UTC, Clement Laforet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Clement Laforet 2003-02-26 23:00:28 UTC
	Update to 2.0.1.

How-To-Repeat: 	N/A.
Comment 1 Ceri Davies freebsd_committer 2003-03-01 00:39:09 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs


Reassign misfiled PR.
Comment 2 Kris Kennaway 2003-03-05 10:02:36 UTC
It looks like the distfile and build procedure have changed..can you
please update the PR?

Kris
Comment 3 Clement Laforet 2003-03-05 13:55:37 UTC
Update to 2.1.0.

Reported by : kris


diff -Nru makeself.orig/Makefile makeself/Makefile
--- makeself.orig/Makefile	Wed Mar  5 14:42:19 2003
+++ makeself/Makefile	Wed Mar  5 14:32:51 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	makeself
-PORTVERSION=	2.0.1
+PORTVERSION=	2.1.0
 CATEGORIES=	archivers
 MASTER_SITES=	http://www.megastep.org/makeself/
 DISTNAME=	${PORTNAME}
@@ -15,7 +15,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A neat script to make self-extracting archives
 
-WRKSRC=		${WRKDIR}/${DISTNAME}-${PORTVERSION}
+WRKSRC=		${WRKDIR}/${DISTNAME}
 EXTRACT_CMD=	${CP}
 EXTRACT_BEFORE_ARGS=
 EXTRACT_AFTER_ARGS=	${WRKSRC}
@@ -24,7 +24,8 @@
 # The DISPLAY thing is to prevent the script from trying to launch a xterm
 # just to extract the source.
 pre-patch:
-	(cd ${WRKDIR} && ${SETENV} DISPLAY="" ${SH} ${DISTFILES})
+	${MV} ${WRKDIR}/${PORTNAME} ${WRKDIR}/${PORTNAME}-${PORTVERSION}
+	(cd ${WRKDIR} && ${SETENV} DISPLAY="" ${SH} ${PORTNAME}-${PORTVERSION})
 
 do-install:
 	@${INSTALL_SCRIPT} ${WRKSRC}/makeself.sh ${PREFIX}/bin/makeself
diff -Nru makeself.orig/distinfo makeself/distinfo
--- makeself.orig/distinfo	Wed Mar  5 14:42:19 2003
+++ makeself/distinfo	Wed Mar  5 14:29:22 2003
@@ -1 +1 @@
-MD5 (makeself.run) = ee12cb7185f28f4646de3e8eacf5cda4
+MD5 (makeself.run) = e57ca60423f0088c566a5c0edc50d672
Comment 4 Foxfair Hu 2003-05-13 03:37:10 UTC
Hi,

  another patch for makeself/2.1.1 according to our ports tree(1.5.3).
Please take time to review it.

Foxfair

diff -ruN /usr/ports/archivers/makeself/Makefile ./Makefile
--- /usr/ports/archivers/makeself/Makefile	Fri Mar 21 00:57:40 2003
+++ ./Makefile	Tue May 13 10:05:27 2003
@@ -6,23 +6,25 @@
 #
 
 PORTNAME=	makeself
-PORTVERSION=	1.5.3
+PORTVERSION=	2.1.1
 CATEGORIES=	archivers
-MASTER_SITES=	http://linuxberg.tele.net/files/console/file/
-EXTRACT_SUFX=	.gz.sh
+MASTER_SITES=	http://www.megastep.org/makeself/
+DISTNAME=	${PORTNAME}
+EXTRACT_SUFX=	.run
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A neat script to make self-extracting archives
 
+WRKSRC=		${WRKDIR}/${DISTNAME}-${PORTVERSION}
 EXTRACT_CMD=	${CP}
 EXTRACT_BEFORE_ARGS=
-EXTRACT_AFTER_ARGS=	${WRKDIR}
+EXTRACT_AFTER_ARGS=	${WRKSRC}
 NO_BUILD=	yes
 
 # The DISPLAY thing is to prevent the script from trying to launch a xterm
 # just to extract the source.
 pre-patch:
-	(cd ${WRKDIR} && ${SETENV} DISPLAY="" ${SH} ${DISTFILES})
+	(cd ${WRKDIR} && ${SETENV} DISPLAY="" ${SH} ${PORTNAME})
 
 do-install:
 	@${INSTALL_SCRIPT} ${WRKSRC}/makeself.sh ${PREFIX}/bin/makeself
diff -ruN /usr/ports/archivers/makeself/distinfo ./distinfo
--- /usr/ports/archivers/makeself/distinfo	Sat Jul  7 11:47:49 2001
+++ ./distinfo	Tue May 13 10:34:15 2003
@@ -1 +1 @@
-MD5 (makeself-1.5.3.gz.sh) = 41608cac2b9c01dc44c08c96dc5ac3bf
+MD5 (makeself.run) = b74624c61b8de3e7dbf6d9d7316248db
Comment 5 Foxfair Hu freebsd_committer 2003-05-13 04:43:53 UTC
State Changed
From-To: open->closed

Committed,thanks!